MILTER-SPAMD(8)

NAME
milter-spamd - sendmail X policy milter plugin for SpamAssassin spamd

SYNOPSIS
milter-spamd [-d] [-i RE] [-P spamd port] [-p pipe] [-t timeout] [-U spamd user]

DESCRIPTION
The milter-spamd plugin can be used with the policy milter API of sendmailX(8) to filter mails using regular expressions matching SMTP envelope parameters and mail headers and body.

The options are as follows:

-d  Produce verbose debug output on stdout.

-i RE
    Accept mails without invoking spamd for peers whose host names or IP addresses match the specified regular expression. The argument is a case-insensitive extended regular expression (like an argument of egrep(1) -i). Example:

        # milter-spamd -i '(^127\.|^10\.1\.|\.benzedrine\.cx$)'

    would skip filtering for senders whose host names end in .benzedrine.cx or whose IP addresses start with 127. or 10.1.

-P port
    Use the specified port to interface spamd.

-p pipe
    Use the specified pipe to interface sendmailX(8). Default is /var/spool/milter-spamd/sock.

-t timeout
    Use the specified timeout when sending data to spamd.

-U spamd user
    Pass the specified user to spamd, so that user's SpamAssassin settings are used instead of the system-wide ones (default).

SENDMAIL CONFIGURATION
sendmailX(8) needs to be compiled with pmilter support.

LOGGING
milter-spamd sends log messages to syslogd(8) using facility daemon and, with increasing verbosity, level err, notice, info and debug. The following syslog.conf(5) section can be used to log messages to a dedicated file:

    !milter-spamd
    daemon.err;daemon.notice	/var/log/milter-spamd

SEE ALSO
egrep(1), mailstats(1), regex(3), syslog.conf(5), re_format(7), sendmailX(8), syslogd(8) Simple Mail Transfer Protocol, RFC 2821. Enhanced Mail System Status Codes, RFC 1893.

HISTORY
The first version of milter-spamd was written in 2004.

AUTHORS
Daniel Hartmeier <daniel@benzedrine.cx>